% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i LoadLink
% DatiLoad contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_LL,DatiLoad] = MediaDati_LL(DatiLoad,TimeLL,NdatiMedia,FileName)

[r,~]=size(DatiLoad);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_LL = TimeLL;

%% Accelerazione
DatiLoad = smoothdata(DatiLoad,'gaussian',NdatiMedia);

text = 'Average values for Load Link have been processed';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);
fclose(fileID);
end